List asset services.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"services": [
{
"asset_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5,
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"metadata": {},
"protocol": "<string>",
"service_key": "<string>",
"technologies": [
"<string>"
],
"tls_enabled": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discovery_channel": "<string>",
"discovery_provider": "<string>",
"endpoint": "<string>",
"hostname": "<string>",
"http_status_code": 349,
"http_title": "<string>",
"ip": "<string>",
"last_observed_at": "2023-11-07T05:31:56Z",
"port": 32768,
"product": "<string>",
"service_name": "<string>",
"source_name": "<string>",
"source_ref": "<string>",
"tls_certificate_asset_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"version": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Services
List asset services.
Lists curated exposed services for the authenticated project.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
services
List asset services.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"services": [
{
"asset_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5,
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"metadata": {},
"protocol": "<string>",
"service_key": "<string>",
"technologies": [
"<string>"
],
"tls_enabled": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discovery_channel": "<string>",
"discovery_provider": "<string>",
"endpoint": "<string>",
"hostname": "<string>",
"http_status_code": 349,
"http_title": "<string>",
"ip": "<string>",
"last_observed_at": "2023-11-07T05:31:56Z",
"port": 32768,
"product": "<string>",
"service_name": "<string>",
"source_name": "<string>",
"source_ref": "<string>",
"tls_certificate_asset_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"version": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Query Parameters
Maximum string length:
256Maximum string length:
256Available options:
tcp, udp Required range:
1 <= x <= 65535Available options:
manual, auto_discovered, import, api, integration Maximum string length:
256Required range:
1 <= x <= 500Required range:
x >= 0Opaque snapshot cursor returned by the previous page. Cannot be combined with a non-zero offset.
Maximum string length:
1024⌘I